testing::internal::GTestLog Class Reference

`#include <gtest.h>`

## Public Member Functions

| GTestLog (GTestLogSeverity severity, const char *file, int line)
| ~GTestLog ()
::std::ostream & | GetStream ()

## Detailed Description

Definition at line 1229 of file gtest.h.

## Constructor & Destructor Documentation

## GTestLog()

testing::internal::GTestLog::GTestLog | ( | GTestLogSeverity | severity,
|  | const char * | file,
|  | int | line
| ) |  |

Definition at line 10648 of file gtest-all.cc.

## ~GTestLog()

testing::internal::GTestLog::~GTestLog | ( |  | ) |

Definition at line 10659 of file gtest-all.cc.

## Member Function Documentation

## GetStream()

::std::ostream& testing::internal::GTestLog::GetStream | ( |  | ) |

inline

Definition at line 1236 of file gtest.h.

The documentation for this class was generated from the following files:

- test/eclipse-cygwin/lib/gtest/gtest.h
- test/eclipse-cygwin/lib/gtest/gtest-all.cc